> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Entity

Updates an Entity with the parameters sent.

> [!WARNING]
>
> Once an Entity's property has been set, that property can no longer be
> updated.

## Path Parameters

## Body

> [tab] Individual
>
> **individual** `object`
>
> Individual information of the Entity. See [Individual Entity.](https://docs.methodfi.com/2026-03-30/reference/entities/overview.md#entity-objects)

> [tab] Corporation
>
> **corporation** `object`
>
> Corporation information of the Entity. See [Corporation Entity.](https://docs.methodfi.com/2026-03-30/reference/entities/overview.md#entity-objects)

**address** `object`

The Entity's address. See [Entity address.](https://docs.methodfi.com/2026-03-30/reference/entities/overview.md#entity-objects)

**metadata** `object`

The Entity's metadata. See [Entity metadata.](https://docs.methodfi.com/2026-03-30/reference/entities/overview.md#entity-objects)

## Returns

Returns the Entity with the updated fields.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8 \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "individual": {
      "first_name": "Kevin",
      "last_name": "Doyle",
      "email": "kevin.doyle@gmail.com",
      "dob": "1997-03-18"
    }
}'
```

```javascript Node.js theme={null}
const entity = await method.entities.update("ent_au22b1fbFJbp8", {
  individual: {
    first_name: "Kevin",
    last_name: "Doyle",
    email: "kevin.doyle@gmail.com",
    dob: "1997-03-18",
  },
});
```

```python Python theme={null}
entity = method.entities.update('ent_au22b1fbFJbp8', {
  'individual': {
    'first_name': 'Kevin',
    'last_name': 'Doyle',
    'email': 'kevin.doyle@gmail.com',
    'dob': '1997-03-18',
  }
})
```

```json theme={null}
{
  "id": "ent_au22b1fbFJbp8",
  "type": "individual",
  "individual": {
    "first_name": "Kevin",
    "last_name": "Doyle",
    "phone": "+15121231111",
    "dob": "1997-03-18",
    "email": "kevin.doyle@gmail.com",
    "ssn_4": null,
    "ssn": null
  },
  "error": null,
  "address": {
    "line1": "3300 N Interstate 35",
    "line2": null,
    "city": "Austin",
    "state": "TX",
    "zip": "78705"
  },
  "status": "active",
  "verification": {
    "identity": {
      "verified": true,
      "matched": true,
      "latest_verification_session": "evf_mQ6yr6VVJLNEb",
      "methods": []
    },
    "phone": {
      "verified": true,
      "latest_verification_session": "evf_P4QXNj93Y9J8L",
      "methods": []
    }
  },
  "connect": null,
  "credit_score": null,
  "products": [
    "connect",
    "credit_score",
    "vehicle"
  ],
  "restricted_products": [
    "identity",
    "attribute"
  ],
  "subscriptions": [],
  "available_subscriptions": [
    "connect",
    "credit_score"
  ],
  "restricted_subscriptions": [],
  "metadata": null,
  "created_at": "2023-10-23T05:46:14.550Z",
  "updated_at": "2023-10-23T05:46:14.550Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.